### Constructor

# ICalGLib VcardParameter new_from_string

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new_from_string (
      const gchar* value
    )

#### Description [src]

Creates an `ICalVcardParameter` from a string of form “PARAMNAME=VALUE”.

Available since: 4.0

#### Parameters

`value`

  Type: `const gchar*`

  The string from which the `ICalVcardParameter` is created.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalVcardParameter`

The newly created `ICalVcardParameter` with the properties specified in the `value`.

The caller of the function takes ownership of the data, and is responsible for freeing it.